type t = Mpqf.t

let from_z = Mpqf.of_mpzf
let from_int = Mpqf.of_int
let from_float = Mpqf.of_float

let zero = from_z Z.zero;;
let one = from_z Z.one;;
let compare = Mpqf.cmp
let sgn = Mpqf.sgn
let equal a b = (compare a b) = 0

let add = Mpqf.add
let sub = Mpqf.sub
let mul = Mpqf.mul
let div = Mpqf.div
let neg = Mpqf.neg

let get_num = Mpqf.get_num
let get_den = Mpqf.get_den

let to_string x =
  let n = get_num x
  and d = get_den x in
  if Z.equal d Z.one
  then Z.to_string n
  else (Z.to_string n) ^ "/" ^ (Z.to_string d);;
